Page MenuHomePhabricator

Get ParserOutput options from expandtemplates or similar action, and encode them as properties
Closed, ResolvedPublic

Description

Some extensions (like WikiData) currently set page properties using parser functions (using the setProperty method on ParserOutput). Those are not in the page content, nor are they exposed by Parsoid in any way.

We should probably extend the expandtemplates action (or whatever cleaner action we add) to return the serialized options array, so that this information is at least not lost any more.

Really a saner way would be to move this information into proper page properties in the longer term. Timo mentioned there was a bug for this, but I have not found this so far.

Details

Reference
bz48812

Related Objects

StatusSubtypeAssignedTask
Resolvedssastry
OpenNone
Resolved GWicke
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedCmjohnson
ResolvedCmjohnson
ResolvedJoe
Resolvedfgiunchedi
Resolved GWicke
Resolved Jdouglas
Resolved GWicke
Resolved GWicke
ResolvedArlolra
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Duplicate Jdouglas
ResolvedAndrew
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedEevans
Resolvedfgiunchedi
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedmobrovac
Resolved GWicke
OpenNone
Resolvedmarcoil
Resolvedmarcoil

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:30 AM
bzimport added a project: Parsoid.
bzimport set Reference to bz48812.

See also bug 48812 for separate page property storage.

Arlolra removed GWicke as the assignee of this task.Nov 25 2014, 8:11 PM
Arlolra set Security to None.
ssastry moved this task from Needs Triage to Read Views on the Parsoid board.Jan 11 2018, 9:51 PM
Reedy edited projects, added Parsoid-Read-Views; removed Parsoid.Sep 17 2018, 7:25 PM
Aklapper edited projects, added Parsoid; removed Parsoid-Read-Views.Feb 29 2020, 5:14 PM
MBinder_WMF closed this task as Resolved.Thu, Jul 9, 6:28 PM
MBinder_WMF claimed this task.
MBinder_WMF reassigned this task from MBinder_WMF to ssastry.
MBinder_WMF added a subscriber: MBinder_WMF.
cscott added a subscriber: cscott.Thu, Jul 9, 6:30 PM

We have solved this in a variety of different ways in the seven years since this was filed.

In any case, we'll shortly be using the ParserOutput class directly, so any remaining work will fall out of T236809: Refactor Parser.php to allow alternate parser (Parsoid).